<template>
    <div class="report-location-box">
        <el-tabs v-model="activeName">
            <el-tab-pane label="搜索定位" name="first">
                <ReportLocationSearch></ReportLocationSearch>
            </el-tab-pane>
            <el-tab-pane label="管段定位" name="second">
                <ReportLocationSection></ReportLocationSection>
            </el-tab-pane>
            <el-tab-pane label="经纬度定位" name="third">
                <ReportLocationPoint></ReportLocationPoint>
            </el-tab-pane>
        </el-tabs>
    </div>
</template>

<script>

// 管段定位组件
import ReportLocationSection from './ReportLocationSection'
import ReportLocationSearch from './ReportLocationSearch'
import ReportLocationPoint from './ReportLocationPoint'

export default {
  name: 'ReportLocation',
  components: {
    ReportLocationSearch,
    ReportLocationSection,
    ReportLocationPoint
  },
  data () {
    return {
      // active tab切换
      activeName: 'first'
    }
  }
}
</script>

<style lang="less" scoped>
</style>
